Subject: bug#28384: closed (Re: [bug#28384] [PATCH] gnu: Fix build failures caused by commit.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Sep 2017 22:28:02 +0000

Your bug report

#28384: [PATCH] gnu: Fix build failures caused by commit.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28384: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28384
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#28384] [PATCH] gnu: Fix build failures caused by commit.
From: Kei Kebreau <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Sun, 10 Sep 2017 18:26:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) writes:

> Kei Kebreau <[email-masked]> skribis:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> Kei Kebreau <[email-masked]> skribis:
>>>
>>>> [email-masked] (Ludovic Courtès) writes:
>>>>
>>>>> Kei Kebreau <[email-masked]> skribis:
>>>>>
>>>>>> [email-masked] (Ludovic Courtès) writes:
>>>>>>
>>>>>>> Hi Kei,
>>>>>>>
>>>>>>> The subject is truncated.  :-)  Caused by which commit?
>>>>>>>
>>>>>>> Kei Kebreau <[email-masked]> skribis:
>>>>>>>
>>>>>>>> * gnu/packages/bioinformatics.scm (seek)[arguments]: Modify
>>>>>>>> unpack phase.
>>>>>>>> * gnu/packages/ci.scm (cuirass)[arguments]: Add patch-/bin/sh phase.
>>>>>>>
>>>>>>> This is weird, normally the ‘patch-source-shebangs’ phase, which happens
>>>>>>> right before ‘configure’, should take care of these, no?
>>>>>>>
>>>>>>
>>>>>> Normally the 'patch-source-shebangs' does just that, but in this case
>>>>>> the script needs to be patched because the bootstrapping phase depends
>>>>>> on perl.
>>>>>
>>>>> OK.  I don’t understand at what point this became necessary though.
>>>>>
>>>>
>>>> It's probably a result of moving the 'bootstrap' phase before the
>>>> 'patch-source-shebangs' phase. Without this change, the seek package
>>>> builds fine. I have no preference either way, though I notice that the
>>>> same thing is done for guile-for-guile-emacs.
>>>
>>> Since this commit was just about changing the syntax, not the semantics,
>>> I would expect it to keep phases in the same order.  That would be more
>>> concise than adding custom code to patch things here and there, no?
>>>
>>> WDYT?
>>>
>>
>> I agree in the case of seek.
>>
>>>>>> From 87ea8addad973568d8599fb93c8df9766b96b6a1 Mon Sep 17 00:00:00 2001
>>>>>> From: Kei Kebreau <[email-masked]>
>>>>>> Date: Sat, 29 Jul 2017 11:28:42 -0400
>>>>>> Subject: [PATCH] gnu: Use 'modify-phases' syntax.
>>>>>> To: [email-masked]
>>>>>
>>>>> Wrong patch.  :-)
>>>>>
>>>>> Ludo’.
>>>>
>>>> Fixed!
>>>>
>>>> From d9eee184cf80252092c34864d492527ee768a7fb Mon Sep 17 00:00:00 2001
>>>> From: Kei Kebreau <[email-masked]>
>>>> Date: Thu, 7 Sep 2017 09:36:28 -0400
>>>> Subject: [PATCH] gnu: Fix build failures caused by commit
>>>>  d10092b849153dc27cfed0a9601fde6c7bdec918.
>>>>
>>>> * gnu/packages/bioinformatics.scm (seek)[arguments]: Modify unpack phase.
>>>> * gnu/packages/ci.scm (cuirass)[arguments]: Add patch-/bin/sh phase.
>>>
>>> That’s fine with me, even though I have a slight preference for simply
>>> restoring the order of phases as it was before.
>>>
>>
>> I'm most comfortable reverting seek to its last successful state without
>> the substitute* call and patch leave the cuirass patch as is. If that's
>> okay with you I can push this to master.
>
> Sounds good, thanks!
>
> Ludo'.

Pushed to master as 4561498e1f207e83ecc4a9fe1a08935c2807160f. Thanks again!

Subject: [PATCH] gnu: Fix build failures caused by commit.
From: Kei Kebreau <[email-masked]>
To: [email-masked]
Cc: Kei Kebreau <[email-masked]>
Date: Thu, 7 Sep 2017 12:43:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/bioinformatics.scm (seek)[arguments]: Modify unpack phase.
* gnu/packages/ci.scm (cuirass)[arguments]: Add patch-/bin/sh phase.
---
 gnu/packages/bioinformatics.scm | 2 ++
 gnu/packages/ci.scm             | 6 +++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index bf8eb2e69..699c463bf 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -4488,6 +4488,8 @@ distribution, coverage uniformity, strand specificity, etc.")
            (modify-phases %standard-phases
              (add-after 'unpack 'bootstrap
                (lambda _
+                 (substitute* "gen_tools_am"
+                   (("/usr/bin/env perl") (which "perl")))
                  (zero? (system* "bash" "gen_auto"))))
              (add-after 'build 'build-additional-tools
                (lambda* (#:key make-flags #:allow-other-keys)
diff --git a/gnu/packages/ci.scm b/gnu/packages/ci.scm
index c449754be..3b182b826 100644
--- a/gnu/packages/ci.scm
+++ b/gnu/packages/ci.scm
@@ -216,7 +216,11 @@ their dependencies.")
                (substitute* "Makefile.am"
                  (("tests/repo.scm \\\\") "\\"))
                #t))
-           (add-after 'disable-repo-tests 'bootstrap
+           (add-after 'disable-repo-tests 'patch-/bin/sh
+             (lambda _
+               (substitute* "build-aux/git-version-gen"
+                 (("#!/bin/sh") (string-append "#!" (which "sh"))))))
+           (add-after 'patch-/bin/sh 'bootstrap
              (lambda _ (zero? (system* "sh" "bootstrap"))))
            (add-after 'install 'wrap-program
              (lambda* (#:key inputs outputs #:allow-other-keys)
-- 
2.14.1